Name:           nautilus-sendto
Version:        0.7
Release: 	5%{?dist}
Summary:        Nautilus context menu for sending files

Group:          User Interface/Desktops
License:        GPL
URL:            ftp://ftp.gnome.org/pub/gnome/sources/%{name}
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, libglade2-devel, evolution-data-server-devel, libgnomeui-devel
BuildRequires:	nautilus-devel >= 2.5.4, gaim-devel >= 1.0
BuildRequires:  gettext
BuildRequires:  perl-XML-Parser

Patch0:		nautilus-sendto-0.7-gaim.patch
Patch1:		nautilus-sendto-0.7-thunderbird.patch

# For compat with old nautilus-sendto packaging
Provides: nautilus-sendto-gaim

%description
The nautilus-sendto package provides a Nautilus context menu for
sending files via other desktop applications.  These functions are
implemented as plugins, so nautilus-sendto can be extended with
additional features.  This package provides a default plugin for
Evolution integration.


%ifnarch s390 s390x
%package bluetooth
Summary:	Nautilus integration for Bluetooth
Group:		User Interface/Desktops
BuildRequires:	gnome-bluetooth-devel, bluez-libs-devel
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-bluetooth

%description bluetooth
A nautilus-sendto plugin for sending files via Bluetooth.
%endif

%prep
%setup -q

%patch0 -p1 -b .gaim
%patch1 -p1 -b .thunderbird


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT \( -name '*.a' -o -name '*.la' \) -exec rm -f {} \;
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_libdir}/nautilus/extensions-1.0/libnautilus-sendto.so
%dir %{_libdir}/nautilus-sendto
%dir %{_libdir}/nautilus-sendto/plugins
%{_libdir}/nautilus-sendto/plugins/libnstevolution.so
%{_libdir}/nautilus-sendto/plugins/libnstsylpheed.so
%{_datadir}/nautilus-sendto
%{_bindir}/nautilus-sendto
# We put gaim in the main package, because its small, has
# no dependencies and isn't activated unless you use gaim
%{_libdir}/gaim/nautilus.so
%{_libdir}/nautilus-sendto/plugins/libnstgaim.so
# same for thunderbird
%{_libdir}/nautilus-sendto/plugins/libnstthunderbird.so


%ifnarch s390 s390x
%files bluetooth
%defattr(-,root,root,-)
%{_libdir}/nautilus-sendto/plugins/libnstbluetooth.so
%endif

%changelog
* Sat Sep 16 2006 Matthias Clasen <mclasen@redhat.com> - 0.7-5
- Include Thunderbird support and make it work
- Add missing BRs

* Mon Aug 14 2006 Alexander Larsson <alexl@redhat.com> - 0.7-4
- Buildrequire nautilus-devel

* Thu Aug 10 2006 Alexander Larsson <alexl@redhat.com> - 0.7-3
- Make nautilus-sendto-bluetooth require gnome-bluetooth (#201908)

* Sat Aug 05 2006 Caolan McNamara <caolanm@redhat.com> - 0.7-2
- rebuild against new e-d-s

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.7-1.1
- rebuild

* Tue Jul 11 2006 Matthias Clasen  <mclasen@redhat.com> - 0.7-1
- Update to 0.7

* Wed Jun 14 2006 Alexander Larsson <alexl@redhat.com> - 0.5-4
- Rebuild again, hopefully fixing libbluetooth issue

* Mon Jun 12 2006 Alexander Larsson <alexl@redhat.com> - 0.5-3
- Rebuild for new libbluetooth soname

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> 0.5-2
- Add missing BuildRequires

* Mon May 22 2006 Alexander Larsson <alexl@redhat.com> 0.5-1
- Update to 0.5
- Add libgnomeui-devel buildreq

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.4-7.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.4-7.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 David Malcolm <dmalcolm@redhat.com> 0.4-7
- rebuild for new e-d-s

* Tue Dec 20 2005 Alexander Larsson <alexl@redhat.com> 0.4-6
- Rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  9 2005 Alexander Larsson <alexl@redhat.com> - 0.4-5
- Build in Core
- Move gaim plugin into main package
- Fix up some build requirements
- No bluetooth on s390*

* Sat Oct  8 2005 Paul W. Frields <stickster@gmail.com> - 0.4-4
- Eliminate superfluous Requires

* Sat Oct  8 2005 Paul W. Frields <stickster@gmail.com> - 0.4-3
- Rearrange Requires and BuildRequires for subpackages
- Include default Evolution plugin in main package

* Fri Oct  7 2005 Paul W. Frields <stickster@gmail.com> - 0.4-2
- Use appropriate BuildRequires for nautilus and gaim

* Fri Oct  7 2005 Paul W. Frields <stickster@gmail.com> - 0.4-1
- Initial version
